Bug 63712 - pdftex and pdflatex fail to clip or trim graphics correctly
Summary: pdftex and pdflatex fail to clip or trim graphics correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL: http://groups.google.com/groups?hl=en...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-17 19:13 UTC by bzrh
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-18 12:48:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bzrh 2002-04-17 19:13:32 UTC
Description of Problem:

The file texmf/tex/latex/graphics/pdftex.def included in the latest (RH7.2 
& rawhide) distro versions of tetex-latex is extremely out of date.  It 
should be replaced with:
http://www.tug.org/applications/pdftex/pdftex.def

The google groups URL:
http://groups.google.com/groups?hl=en&safe=off&frame=right&th=80237ad007e1191d&seekm=93t03v%24ro6%241%40nnrp1.deja.com#link2
gives a discussion of why this is so.


Version-Release number of selected component (if applicable):
tetex-latex

How Reproducible:
Every time.

Steps to Reproduce:
1. Try to include a PNG or PDF in a pdf{tex/latex} doc, using clip/trim 
directives, and witness the crappy output.

Actual Results:
pdflatex warns that it does not support clipping.
No clipping happens, or it happens incorrectly.

Expected Results:
No warning about clipping should show.
Clipping should have happened.

Additional Information:
The error message that needs to be done away with is:
no clipping support in pdfTeX

Comment 1 Tim Waugh 2002-04-18 12:48:53 UTC
Thanks. (For the record, the input file is: 
 
 \documentclass[a4paper,pdftex,12pt]{book} 
 \usepackage[pdftex]{graphicx} 
 \usepackage{pslatex} 
 \begin{document} 
 HI \includegraphics[clip,width=6cm,trim=1cm 1cm 1cm 1cm]{xfig/piemenu} 
bye 
 \end{document} 
 
and pdfelatex is used.)

Comment 2 Tim Waugh 2002-05-27 15:32:31 UTC
Updated file in 1.0.7-48.


Note You need to log in before you can comment on or make changes to this bug.